<?php

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
}

$mod_name[] = 'Spider Friendly 1.3.10';

$add_size['admin/admin_module_files.'.$phpEx] += 106;
$add_size['includes/constants.'.$phpEx] += 54;
$add_size['includes/functions.'.$phpEx] += 493;
$add_size['includes/functions_add.'.$phpEx] += 472;
$add_size['includes/functions_admin.'.$phpEx] += 36;
$add_size['includes/functions_hierarchy.'.$phpEx] += 393;
$add_size['includes/functions_post.'.$phpEx] += 239;
$add_size['includes/functions_remove.'.$phpEx] += 213;
$add_size['includes/page_header.'.$phpEx] += 191;
$add_size['includes/page_tail.'.$phpEx] += 38;
$add_size['includes/sessions.'.$phpEx] += 695;
$add_size['includes/usercp_register.'.$phpEx] += 49;
$add_size['includes/usercp_sendpasswd.'.$phpEx] += 49;
$add_size['language/lang_english/lang_admin.'.$phpEx] += 206;
$add_size['language/lang_english/lang_main.'.$phpEx] += 85;
$add_size['language/lang_polish/lang_admin.'.$phpEx] += 212;
$add_size['language/lang_polish/lang_main.'.$phpEx] += 90;
$add_size['common.'.$phpEx] += 90;
$add_size['groupcp.'.$phpEx] += 49;
$add_size['index.'.$phpEx] += 72;
$add_size['login.'.$phpEx] += 50;
$add_size['modcp.'.$phpEx] += 420;
$add_size['privmsg.'.$phpEx] += 5;
$add_size['viewforum.'.$phpEx] += 781;
$add_size['viewtopic.'.$phpEx] += 956;

$mod_files = array(
	'admin/admin_spider_friendly.'.$phpEx			=> array('6309488b880695f59be73a55c5fbbf2b', 17521),
	'includes/bots.inc.php'							=> array('1ecf7f1ad1c80b3969845f8ca4d06fce', 2210),
	'includes/map.iso-8859-1.'.$phpEx				=> array('938c281c73286fb7929b87b022d9c3e3', 247),
	'includes/map.iso-8859-2.'.$phpEx				=> array('a38cb106c2225f0d550451374a1dcc5b', 207),
	'includes/map.utf-8.'.$phpEx					=> array('9d01051029958d0659c5376eb9cd6ee3', 430),
	'includes/rewrite_config.'.$phpEx				=> array('927fc592d14f13f04e4f440fc18477be', 6023),
	'includes/sf_shm_shmop.'.$phpEx					=> array('9ffff63f095723229be95296f287e252', 3197),
	'includes/sf_vserver-404.'.$phpEx               => array('ca4506891b45feecf00917397f46e4ef', 617),
	'includes/spider_friendly.'.$phpEx				=> array('61c83e7c5f4c0828134384824c4140a1', 21445),
	'includes/spider_log.'.$phpEx					=> array('65c51e957b3fd3122907f895c6bfe02a', 1119),
	'includes/tanuki_ad.'.$phpEx					=> array('c88f82973fc0162922f47d1c74863502', 665),
	'language/lang_english/lang_admin_sf.'.$phpEx	=> array('1913dbc6180357b2072d9a1ad5cfa2c9', 4815),
	'language/lang_english/lang_sf.'.$phpEx			=> array('5505f352782fc8c8e197783089975386', 640),
	'language/lang_polish/lang_admin_sf.'.$phpEx	=> array('c0922ef15e47aa118332bb700eac38cc', 5190),
	'language/lang_polish/lang_sf.'.$phpEx			=> array('b15e9aa90384cf654bf7f4856996bd3f', 718),
	'sitemap.'.$phpEx								=> array('feae1b93fef69d96f8af36322337dcb2', 7943)
);

$vs_data = array('ef27c0bf5a5bcaa9bd9d5d04346e9a54', 3335);

$tpl_checksums = array(
	'templates/*/admin/sf_config.tpl'		=> array('8418d094b17022151909b3c80f815904', 8983),
	'templates/*/admin/sf_log_details.tpl'	=> array('eed0f347b268600c47bc9d48dc20d774', 594),
	'templates/*/admin/sf_log_entries.tpl'	=> array('01f61d2de22ba2178ce648c20f5da005', 1509),
	'templates/*/admin/sf_log_summary.tpl'	=> array('2af4580ea2a5d52359aa81a483e89f18', 1052),
	'templates/*/sitemap.tpl'				=> array('5c8f845e07e3944684e70eac5b61dbe8', 1833)
	);

if (file_exists($phpbb_root_path . 'includes/rewrite_config.' . $phpEx))
{
	include $phpbb_root_path . 'includes/rewrite_config.' . $phpEx;
	if (file_exists($phpbb_root_path . $sfc['vserver']))
	{
		$mod_files += array(
			$sfc['vserver'] => $vs_data
		);
	}
	else if (file_exists($phpbb_root_path . 'vforum.'.$phpEx))
	{
		$mod_files += array(
			'vforum.'.$phpEx => $vs_data
		);
	}
}

$dirs = array();
$dirbase = $phpbb_root_path . 'templates/';
if ($dh = @opendir($dirbase))
{
	while (($name = readdir($dh)) !== false)
	{
		if ($name != '.' && $name != '..' && file_exists($dirbase . $name . '/overall_header.tpl'))
		{
			$dirs[] = $name;
		}
	}
	closedir($dh);
}
else if (is_dir('templates/subSilver'))
{
	$dirs[] = 'subSilver';	
}
foreach ($dirs as $tpl_dir)
{
	foreach ($tpl_checksums as $cs_name => $cs_data)
	{
		$key = str_replace('*', $tpl_dir, $cs_name);
		$mod_files[$key] = $cs_data;
	}
}

$automod = array(
	'includes/bots.inc.'.$phpEx,
	'includes/rewrite_config.'.$phpEx);
foreach ($automod as $key)
{
	$add_size[$key] = strlen_used_chars($phpbb_root_path . $key) - $mod_files[$key][1];
}

foreach ($mod_files as $fname => $fdata)
{
	$file_list[] = $fname;
	$md5_sum[$fname] = $fdata[0];
	$sizes[$fname] = $fdata[1];
}

$cache_dir = $phpbb_root_path . 'cache';
$cache_file = $sfc['post_topic_fcache'];

$cache_test = file_exists($cache_file) ? $cache_file : $cache_dir;
$cache_writable = is_writable($cache_test);
$cache_size = file_exists($cache_file) ? (round(filesize($cache_file)/1024, 2) . ' kB') : 'X';

$cache_text = $cache_writable
	? $lang['is_writable'] . ' - <span style="color:green"><b>OK</b></span>'
	: '<span style="color:red"><b>' . $lang['not_writable']
		. '</b></span> ' . $lang['set_chmod'] . ' <b>chmod 666 rewrite.post_topic.'
		.$phpEx.'</b>';
echo '<hr /><table><tr><td valign="top"><b>Spider&nbsp;Friendly</b></td>'
	. '<td style="width:50px"  valign="top"></td>'
	. '<td valign="top">/<b>' . substr(($cache_writable ? $cache_dir : $cache_test), strlen($phpbb_root_path)) . '</b></td>'
	. '<td>: ' . $cache_text . '</td></tr>'
	. '<tr><td colspan="2">&nbsp; &nbsp; cache: ' . $cache_size . ' [' . $board_config['sf_cache_read_mode'].($board_config['sf_postlink_rewrite']?'+':'-') . ']</td></tr>'
	. '</table>';
?>